match.call {base} | R Documentation

## Argument Matching

### Description

`match.call` returns a call in which all of the arguments are specified by their names. The most common use is to get the call of the current function, with all arguments named.

### Usage

    match.call(definition = NULL, call = sys.call(sys.parent()),
               expand.dots = TRUE)

### Arguments

`definition` | a function, by default the function from which `match.call` is called.
`call` | an unevaluated call to the function specified by `definition`, as generated by `call`.
`expand.dots` | logical. Should arguments matching `...` in the call be included or left as a `...` argument?

### Value

An object of class `call`.

### References

Chambers, J. M. (1998) Programming with Data. A Guide to the S Language. Springer.

### See Also

`call`, `pmatch`, `match.arg`, `match.fun`.

### Examples

    match.call(get, call("get", "abc", i = FALSE, p = 3))
    ## -> get(x = "abc", pos = 3, inherits = FALSE)
    fun <- function(x, lower = 0, upper = 1) {
      structure((x - lower) / (upper - lower), CALL = match.call())
    }
    fun(4 * atan(1), u = pi)

[Package base version 2.1.1 Index]